<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dma__macros" kind="group">
    <compoundname>group_dma_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__dma__macros_1ga4cd68726849f79e76f981466cec787dd" kind="define" prot="public" static="no">
        <name>CY_DMA_DRV_VERSION_MAJOR</name>
        <initializer>2</initializer>
        <briefdescription>
<para>The driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="213" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="213" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1ga66f3ddafc76bbf1f8de7d98f546aecb0" kind="define" prot="public" static="no">
        <name>CY_DMA_DRV_VERSION_MINOR</name>
        <initializer>20</initializer>
        <briefdescription>
<para>The driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="216" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="216" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1gacba40a09cfe1186d8340da4d4013312c" kind="define" prot="public" static="no">
        <name>CY_DMA_ID</name>
        <initializer>(<ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x13U))</initializer>
        <briefdescription>
<para>The DMA driver identifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="219" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="219" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86" kind="define" prot="public" static="no">
        <name>CY_DMA_INTR_MASK</name>
        <initializer>(0x01UL)</initializer>
        <briefdescription>
<para>The DMA channel interrupt mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="222" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="222" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1ga5c6d407ed8a2e1887a6c3e96f28c6793" kind="define" prot="public" static="no">
        <name>CY_DMA_LOOP_COUNT_MIN</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>The minimum X/Y Count API parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="225" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="225" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1ga7633e5b4288da61f6589428f246b4cc8" kind="define" prot="public" static="no">
        <name>CY_DMA_LOOP_COUNT_MAX</name>
        <initializer>(256UL)</initializer>
        <briefdescription>
<para>The maximum X/Y Count API parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="227" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="227" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1gaec132b8a425557361a4be211f752f637" kind="define" prot="public" static="no">
        <name>CY_DMA_LOOP_INCREMENT_MIN</name>
        <initializer>(-2048L)</initializer>
        <briefdescription>
<para>The minimum X/Y Increment API parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="230" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="230" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1ga3b9d6ea8307c1f38ea86f4c02c6ec534" kind="define" prot="public" static="no">
        <name>CY_DMA_LOOP_INCREMENT_MAX</name>
        <initializer>(2047L)</initializer>
        <briefdescription>
<para>The maximum X/Y Increment API parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="232" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="232" />
      </memberdef>
      <memberdef id="group__group__dma__macros_1gae624e46c0f60029b7b0dc5d1cbb4596e" kind="define" prot="public" static="no">
        <name>CY_DMA_BWC</name>
        <initializer>(0U) /* Disabled by default */</initializer>
        <briefdescription>
<para>The backward compatibility flag. </para>        </briefdescription>
        <detaileddescription>
<para>Enables a group of macros which provide the backward compatibility with most of the DMA driver version 1.0 interface. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="237" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="237" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>